Skip to content

Get Calculated Assembly Cost

Request

Query the calculation table for an assembly. Return material and manufacturing cost as well as all additional cost configured in the calculation table. The response includes an is_cost_frozen field that indicates whether the cost is frozen.

Security
BearerAuth
Query
assembly_idstring, (uuid)required

The ID of the assembly for which to get the cost.

Headers
Acceptstring(AssemblyCostAcceptHeader)required

Set this to application/api.luminovo.assembly-cost-v1+json.

Value:"application/api.luminovo.assembly-cost-v1+json"
GET
/calculations/assembly-costs
curl -i -X GET \
  'https://api.luminovo.com/calculations/assembly-costs?assembly_id=497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Accept: application/api.luminovo.assembly-cost-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Get calculated cost of an assembly.

Bodyapplication/json
idstring, (uuid)required
calculation_assembly_detailsstring, (uuid)required
costsArray of objects(types.calculation.calculation_assembly_cost.v1.ScenarioCostResponse)required
created_atstring, (date-time)required
updated_atstring, (date-time)required
is_cost_frozenbooleanrequired
Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "calculation_assembly_details": "c035c535-d83c-4ee4-8cff-b7264919cc79", "costs": [ {} ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "is_cost_frozen": true }